#
# spec file for package gnome-bluetooth
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gnome-bluetooth
Version:        2.32.0
Release:        5.6.1
License:        GPLv2+
Summary:        GNOME Bluetooth graphical utilities
Url:            http://live.gnome.org/GnomeBluetooth
Group:          System/GUI/GNOME
Source:         http://download.gnome.org/sources/gnome-bluetooth/2.27/gnome-bluetooth-%{version}.tar.bz2
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch0:         lxde-support.patch
# PATCH-FIX-UPSTREAM gnome-bluetooth-fix-introspection-build.patch bgo#630024 vuntz@opensuse.org -- Fix build with recent gobject-introspection
Patch1:         gnome-bluetooth-fix-introspection-build.patch
BuildRequires:  fdupes
# Needed for geoclue plugin
BuildRequires:  gconf2-devel
# Needed for patch1 gnome-bluetooth-fix-parallel-build.patch
BuildRequires:  gnome-common
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  intltool
BuildRequires:  libnotify-devel
BuildRequires:  libunique-devel
BuildRequires:  nautilus-sendto-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
# Require bluez (mandatory, as per readme, bnc#622946)
Requires:       bluez >= 4.36
# Require obexd-client for bluetooth-sendto to work (bnc#622946, bnc#680770)
Requires:       obexd-client
Recommends:     %{name}-lang
Provides:       bluez-gnome = 1.8
Obsoletes:      bluez-gnome < 1.8
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
The gnome-bluetooth package contains graphical utilities to setup,
monitor and use Bluetooth devices.

%package devel
License:        GPLv2+
Summary:        GNOME Bluetooth Support
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
Requires:       gtk2-devel
Obsoletes:      libgnomebt-devel < 0.12
Provides:       libgnomebt-devel = 0.12

%description devel
This package contains a controller class, GnomebtController, to control
Bluetooth devices and a simple GUI to explore which devices are
available (gnome-bluetooth-manager).  An OBEX server is available,
gnome-obex-server.  This receives files sent via Bluetooth to your PC
and saves them in your home directory.	The program gnome-obex-send
enables you to send files.  It is used by the Nautilus component --
select the files you want to send and choose "Send via Bluetooth..."
from the context menu.

%package -n libgnome-bluetooth8
License:        GPLv2+
Summary:        GNOME Bluetooth graphical utilities
Group:          System/GUI/GNOME
Obsoletes:      libgnomebt1 <= 0.12

%description -n libgnome-bluetooth8
The gnome-bluetooth package contains graphical utilities to setup,
monitor and use Bluetooth devices.

%package plugins-geoclue
License:        GPLv2+
Summary:        GNOME Bluetooth Support
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Supplements:    packageand(%{name}:geoclue)

%description plugins-geoclue
The gnome-bluetooth package contains graphical utilities to setup,
monitor and use Bluetooth devices.

%package -n nautilus-sendto-plugin-bluetooth
License:        GPLv2+
Summary:        Bluetooth plugin for nautilus-sendto
Group:          Productivity/File utilities
Requires:       %{name} = %{version}
Supplements:    packageand{%{name}:nautilus-sendto}

%description -n nautilus-sendto-plugin-bluetooth
This package provides the functionality to the Nautilus file browser to
send files over bluetooth.

%lang_package
%prep
%setup -q
translation-update-upstream
%patch0 -p1
%patch1 -p1

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure      \
		--disable-icon-update \
		--disable-scrollkeeper \
		--disable-desktop-update \
                --enable-introspection
%__make %{?_smp_mflags}

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
find %{buildroot} -type f -name "*.la" -delete -print
%suse_update_desktop_file bluetooth-properties
%suse_update_desktop_file bluetooth-applet
%find_lang %{name}2 %{?no_lang_C}
%find_lang %{name} %{?no_lang_C} %{name}2.lang
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%post -n nautilus-sendto-plugin-bluetooth
%glib2_gsettings_schema_post

%postun -n nautilus-sendto-plugin-bluetooth
%glib2_gsettings_schema_postun

%post -n libgnome-bluetooth8 -p /sbin/ldconfig

%postun -n libgnome-bluetooth8 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%doc %{_datadir}/gnome/help/%{name}/C/
%dir %{_datadir}/omf/
%dir %{_datadir}/omf/%{name}/
%doc %{_datadir}/omf/%{name}/%{name}-C.omf
%{_bindir}/bluetooth-*
%{_sysconfdir}/xdg/autostart/bluetooth-applet.desktop
%{_datadir}/applications/bluetooth-properties.desktop
%{_datadir}/GConf/gsettings/gnome-bluetooth
%{_datadir}/glib-2.0/schemas/org.gnome.Bluetooth.gschema.xml
%{_datadir}/gnome-bluetooth/
%{_datadir}/icons/hicolor/*/*/bluetooth*
%{_mandir}/man1/bluetooth-*
# Own the plugin directory, but exclude the plugin library itself
%dir %{_libdir}/gnome-bluetooth
%dir %{_libdir}/gnome-bluetooth/plugins
# Exclude files which are in another package
%exclude %{_libdir}/gnome-bluetooth/plugins/libgbtgeoclue.so

%files lang -f %{name}2.lang

%files -n libgnome-bluetooth8
%defattr(-,root,root,-)
%{_libdir}/libgnome-bluetooth.so.*
%{_libdir}/girepository-1.0/GnomeBluetooth-1.0.typelib

%files devel
%defattr(-, root, root)
%{_includedir}/gnome-bluetooth
%{_libdir}/libgnome-bluetooth.so
%{_libdir}/pkgconfig/gnome-bluetooth-1.0.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/gnome-bluetooth

%files plugins-geoclue
%defattr(-,root,root,-)
%{_libdir}/gnome-bluetooth/plugins/libgbtgeoclue.so

%files -n nautilus-sendto-plugin-bluetooth
%defattr(-,root,root,-)
%{_datadir}/GConf/gsettings/gnome-bluetooth-nst
%{_datadir}/glib-2.0/schemas/org.gnome.Bluetooth.nst.gschema.xml
%{_libdir}/nautilus-sendto/plugins/libnstbluetooth.so

%changelog
* Thu May 19 2011 fcrozat@suse.com
- Requires obexd-client, not obexd, to fix sending files.
  bnc#680770.
* Sun Feb 13 2011 vuntz@opensuse.org
- Call relevant macros in %%post/%%postun:
  + %%desktop_database_post/postun because the package ships at
    least one desktop file.
  + %%icon_theme_cache_post/postun because the package ships themed
    icons.
- Pass %%{?no_lang_C} to %%find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.
- Change Requires of lang subpackage to Recommends, since the
  english documentation is not there anymore.
* Fri Oct  1 2010 vuntz@opensuse.org
- Add gnome-bluetooth-fix-introspection-build.patch, which
  obsoletes gnome-bluetooth-fix-parallel-build.patch: this updated
  patch will really fix the build with recent
  gobject-introspection.
* Tue Sep 28 2010 vuntz@opensuse.org
- Update to version 2.32.0:
  + Updated translations.
* Sat Sep 18 2010 vuntz@opensuse.org
- Move gir files to devel subpackage.
* Sat Sep 18 2010 vuntz@opensuse.org
- Remove gir-repository BuildRequires: this was only needed for the
  DBusGLib gir, which is now part of gobject-introspection.
- Add gnome-bluetooth-fix-parallel-build.patch: this updates the
  build system for introspection, to work correctly. This requires
  the gnome-common BuildRequires and the call to gnome-autogen.sh.
* Mon Sep 13 2010 vuntz@opensuse.org
- Update to version 2.31.90:
  + More killswitch fixes
  + Fix crasher when Bluetooth nautilus-sendto plugin is loaded
* Mon Sep  6 2010 vuntz@opensuse.org
- Do not add a GenericName to bluetooth-applet.desktop: it's an
  autostart file, so it's not needed.
- Do not add/change GenericName and Name for
  bluetooth-properties.desktop: it only appears in the control
  center now, and we don't need to change those keys in this case
  (the changes made sense for the applications menu).
* Fri Aug 27 2010 vuntz@opensuse.org
- Add Supplements to automatically install plugins-geoclue if
  gnome-bluetooth and geoclue are installed.
* Fri Aug  6 2010 vuntz@opensuse.org
- Update to version 2.31.6:
  + Allow setting up devices that do not use pairing
  + Port to GSettings instead of GConf
  + Properties:
  - Add specific page when the only adapter is hard blocked
    through a physical killswitch
- Remove --disable-schemas-install from configure call
  (gconf-specific) and update packaging to handle GSettings schemas
  instead of gconf schemas.
- Rename libgnome-bluetooth7 to libgnome-bluetooth8 after bump in
  library soname.
* Tue Aug  3 2010 dimstar@opensuse.org
- Require bluez and obexd, fixes bnc#622946.
* Mon Jun 21 2010 vuntz@opensuse.org
- Revert previous change about adding HardwareSettings category to
  bluetooth-properties.desktop, post-11.3.
* Mon Jun 21 2010 vuntz@opensuse.org
- Add HardwareSettings category to bluetooth-properties.desktop to
  make it appear at the right place. This is needed because
  update-desktop-files won't keep the X-GNOME-* categories in 11.3.
* Fri Jun  4 2010 vuntz@opensuse.org
- Fix calls to suse_update_desktop_file: the arguments were not in
  the right order.
* Mon Mar 29 2010 vuntz@opensuse.org
- Update to version 2.30.0:
  + Add PIN code for Navman GPS
  + Updated translations.
* Mon Feb 15 2010 dimstar@opensuse.org
- Update to version 2.29.91:
  + Mention gnome-user-share in the documentation
  + Applet:
  - Link to the sound preferences for audio devices
  - Remove hard-coded use of nautilus
  + Library:
  - Use spinner from GTK+
  - Install introspection data properly
  - API documentation fixes
  - Fix some parts of the UI not being translated at run-time
  + Wizard:
  - Fix run-time warning when pairing a new device
  + Moblin applet;
  - Add summary page support
  - Fix a number of memory leaks and possible crashers
  + Sendto:
  - Fix crash when obex-client isn't already running
  - Make Cancel button actually work
  - Implement "retry" when sending fails
  - Fix progress bar when sending multiple files
- Drop upstream merged gnome-bluetooth-introspection-install.patch.
* Thu Dec 10 2009 aj@suse.de
- Remove unused BuildRequires hal-devel
* Thu Dec  3 2009 vuntz@opensuse.org
- Update to version 2.29.3:
  + Build and install nautilus-sendto plugin by default
  + Preferences:
  - Add a button to access "Personal File Sharing" preferences
  + Library:
  - Clean up combo box selection widget
  - Make it possible to set the selected device in the chooser
  - Make the button chooser select the device when popping up a
    dialogue
  + Sendto:
  - Wrap errors instead of clipping them
  + Wizard:
  - Make it possible to re-pair devices
- Changes from version 2.29.2:
  + Add Moblin front-end for gnome-bluetooth
  + Add experimental nautilus-sendto plugin
  + Applet:
  - Fix applet showing the wrong connection information
  - Use separate icon for the status icon, for monochromatic
    themes
  - Add discoverable menu item
  - Fix a number of rfkill related bugs
  + Library:
  - Make it possible use another widget for device filtering
  - Don't overwrite UUIDs when discovering known devices
  - Add BluetoothChooserCombo widget
  - Fix usage under non-UTF-8 locales
- Add nautilus-sendto-devel BuildRequires and create
  nautilus-sendto-plugin-bluetooth subpackage.
- Enable introspection: add gir-repository and
  gobject-introspection-devel BuildRequires, pass
  - -enable-introspection to configure.
- Add gnome-bluetooth-introspection-install.patch to fix
  installation of introspection data.
* Sat Oct 24 2009 andrea@opensuse.org
- added LXDE support to /etc/xdg/autostart/bluetooth-applet.desktop
* Tue Sep 29 2009 vuntz@opensuse.org
- Update to version 2.28.1:
  + Applet:
  - Fix most devices showing up as connected when they aren't
  - Make sure the pairing agent is only bound to the default
    adapter
  + All:
  - String fixes
  - API documentation updates
  - Filtering fixes in the BluetoothChooser
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Applet:
  - Applet fails to connect to disconnected audio devices
  - Fix crash when getting a pairing request from a known rfcomm
    device
  + Wizard:
  - Fix pairing of devices that require a PIN entry
* Thu Sep  3 2009 dimstar@opensuse.org
- Update to version 2.27.90:
  + Fix crasher when exiting and the NetworkManager plugin was
    installed.
  + Fix wizard not loading because of a bug in the UI definition.
  + Fix keyboard not working.
* Wed Aug  5 2009 dominique-obs@leuenberger.net
- Update to version 2.27.9:
  + All:
  - Port to using new rfkill API in Linux kernel 2.6.31
  + Applet:
  - Hide unwanted menu items when Bluetooth isn't available
  - Fix connecting to Sony Ericsson phones
  - Fix a crash when disconnecting an audio device
  - Fix devices showing up as connected when they were not
  + Properties:
  - Close the preferences dialogue when pressing 'Esc'
  + Wizard:
  - Mention "enter" when pairing a keyboard
  - String fixes
  + Library:
  - Track whether devices are connecting, as opposed to already
    connected
* Fri Jul 31 2009 vuntz@novell.com
- Remove Obsoletes for libgnome-bluetooth2 and libgnome-bluetooth6.
* Wed Jul 29 2009 dominique-obs@leuenberger.net
- Update to version 2.27.8:
  + All:
  - A number of UI strings changes
  + Applet:
  - Make "Connect" in the menu for devices appear correctly after
    pairing
  - Filter for paired ObexFTP devices in the browse menu item
  + Preferences:
  - Add link to help
  + Wizard:
  - Fix crash when selecting a device where the name hasn't been
    resolved yet
  + Library:
  - Add introspection support
  - Export device and adapter models for easy enumeration
  - Fix broken filtering for device category
  - Fix possible crasher in spinner widget
  - Ellipsise names in the chooser widget
  - A number of API documentation fixes
- Rename libgnome-bluetooth6 to libgnome-bluetooth7 because of
  soname change.
- Have libgnome-bluetooth7 Obsoletes libgnome-bluetooth6.
* Sat Jun 27 2009 captain.magnus@opensuse.org
- Update to version 2.27.7.1:
  + When deleting a device, pass it through the plugins
    to delete any other associations
  + Add a test program
  + Add Geoclue GPS setup plugin
  + Fix pairing some fixed PIN devices, and misc fixes
- Create subpackage plugins-geoclue
* Wed Jun 17 2009 vuntz@novell.com
- Update to version 2.27.6:
  + Applet:
  - Use a better tooltip for the applet
  - Add "Send File" and "Browse files" menu item for devices that
    support it
  - Add menu items to call the preferences for mice and keyboards
  - Fix assertions when removing a device, and pairing it again
    without the applet being restarted
  - Don't show "Connect" for devices without input or audio
    capabilities
  - Support notification-daemon without any support for actions,
    as used in Ubuntu
  - Pass the device name to bluetooth-sendto
  - Rework UI of all the pairing helper dialogues
  + Preferences:
  - Fix the adapter page not showing up when restarting
    bluetoothd
  - Add --dump debug option, to dump a list of all known devices
    and their properties
  + Send-to:
  - Fix warning when sending an empty file
  - Remove use of red labels on errors
  - Remove obex-data-server support, and require obexd
  - Try harder to get a device name
  + Wizard:
  - Fix handling for devices that use random passkeys, but can't
    handle 6 digits (such as Sony CMT-DH5BT)
  - Add Simple Pairing support
  - Try harder to connect to devices after pairing them, fixes
    the Microsoft Wireless Notebook Presenter Mouse 8000 not
    working straight after pairing
  - Allow skipping name resolution when we would be using a fixed
    passkey
  - Don't allow stepping back in the middle of pairing
  - Add more instructions on the front page
  - Many many UI changes
  + Library:
  - Allow getting arbitrary data from the backend for
    BluetoothChooser users
  - Only export the supported symbols in the library
  - Add plugin support, so third-party applications can be setup,
    for a particular device, from the preferences or the wizard
  - Replace the search button with a "Searching" label and spinner
- Rename libgnome-bluetooth2 to libgnome-bluetooth6, and have it
  Obsoletes libgnome-bluetooth2 <= 2.27.5.
* Thu May  7 2009 vuntz@novell.com
- Update to version 2.27.5:
  + Fix some killswitch related bugs
  + Work with older versions of Pango
  + Fix pairing with Blackberry and Samsung phones
  + Use the services status to check the connection status, makes
    connecting/disconnecting devices much faster
  + Add a quit menu to the applet, when in debug mode
  + Fix passkey special-casing when a OUI is used
* Sun May  3 2009 mboman@suse.de
- Change BuildRequires from unique-devel to libunique-devel
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 2.27.4:
  + Fix display of labels on the passkey page, and of the passkey
    on the passkey options dialogue
  + More use of GtkBuilder in the wizard
  + First pass at user-targetted documentation
  + Fix a few memory leaks
  + Fix crash when running properties installed
- Changes from version 2.27.3:
  + Fix schema installation
  + Make sure the applet works even without the schema being
    installed properly
  + Fix display of devices with underscores in their name in the
    applet
  + Fix some devices with no real audio support (AVCRP phones for
    example) showing up in the applet
- Add gnome-doc-utils-devel BuildRequires.
- Pass --disable-scrollkeeper to configure.
- Package documentation too.
- Use fdupes.
* Wed Apr  8 2009 vuntz@novell.com
- Update to version 2.27.2:
  + General:
  - Use our own "paired" icon, to avoid confusion in some themes
  - Remove "Trust" from the UI, it's an implementation detail
  - Group input and audio device-types under the same heading in
    the chooser
  + Applet:
  - Use new "disabled" icons
  - Add a status label for the killswitch menu item
  - Add the ability to connect/disconnect from devices directly
    from the applet's menu
  + Properties:
  - Only show the default adapter, and simplify the UI
  - Show a way to turn off the killswitch when there's no
    Bluetooth adapters in the machine
  + Wizard:
  - Don't show "Enter passkey" when we know the passkey of the
    device already
  - Remove special-casing of mice, and PS3 BD remote from the
    code and into the database
  - Move passkey options button back into the content area, from
    the action area
  - Simplify passkey options dialogue
  - Connect to input and audio devices when setup finishes
  - Mark all the newly paired devices as trusted
  - Fix the wizard not allowing to get past the search page when
    the device selected didn't have a name at first
  - Port quirks database to XML
  - Add quirk for the Bluemax Bluetooth GPS Receiver GPS-009
  - Add quirk for the Nintendo Wiimote
  - Add quirk for iBT-GPS, and another GPS
  + Sendto:
  - Fix obex-data-server support
* Mon Mar 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Sun Mar 15 2009 vuntz@novell.com
- Add Obsoletes/Provides for libgnomebt-devel.
- Make gnome-bluetooth Obsoletes/Provides bluez-gnome since it's a
  drop-in replacement for bluez-gnome.
- Don't set the name in bluetooth-applet.desktop to the preexisting
  value.
* Fri Mar  6 2009 mboman@suse.de
- Update to version 2.27.1:
  + This is basically a new package, forked from bluez-gnome
* Sun Feb 22 2009 vuntz@novell.com
- Update to version 0.12.0:
  + Remove gnome-obex-server, as it's replaced by gnome-user-share
- Drop BuildRequires: perl-XML-Parser, update-desktop-files
- Drop Requires: gnome-vfs2
- soname changed, so rename libgnometbt0 to libgnomebt1. No
  Provides/Obsoletes since it's not the case.
- Remove gnome-bluetooth package since it only contains data that
  should be in libgnomebt1 now. Have libgnomebt1 Obsolete/Provide
  it.
* Fri Mar 21 2008 jpr@suse.de
- Remove incorrect libgnomebt-devel requires
- Remove .la files
* Fri Feb  1 2008 rodrigo@suse.de
- Update to version 0.11.0:
  * Remove gnome-obex-send as it's replaced by bluez-gnome's
    bluetooth-sendto
* Tue Oct 30 2007 coolo@suse.de
- also obsolete 0.8.0
* Thu Oct 25 2007 jpr@suse.de
- Update to 0.9.1
  * Fix a typo that meant the obex server was crashing when receiving
  a file
  * Send a disconnect when we finish sending a file, fixes reception
  of files on some devices
  * Use new GTK+ features for the tray icon
  * Build fixes
- Remove gnome-bluetooth-desktop.diff and use
  %%suse_update_desktop_file instead
- Remove gnome-bluetooth-pixmapsdir.patch, the icon hierarchy is used
  now
- Remove gnome-bluetooth-transparent-trayicon.patch and
  dont-disable-deprecated, libegg is no  longer used
- Remove gnome-bluetooth-fail-cleanly.patch, the UI it changed is
- Split off libgnomebt0, python-gnome-bluetooth and
  gnome-bluetooth-lang
- Rename gnome-bluetooth-devel to libgnomebt-devel
* Wed Aug  8 2007 maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Fri Jul 27 2007 maw@suse.de
- Add dont-disable-deprecated.patch.
* Wed May 23 2007 prusnak@suse.cz
- added libusb-devel to BuildRequires
- added libopenssl-devel to Requires of devel subpackage
* Fri May 18 2007 prusnak@suse.cz
- removed X-SuSE-translate from desktop file
* Thu May  3 2007 prusnak@suse.cz
- changed expat to libexpat-devel in Requires of devel subpackage
* Sun Feb 18 2007 aj@suse.de
- Cleanup BuildRequires.
* Thu Jan 18 2007 jhargadon@suse.de
- removed useless .la files (#223699)
* Tue Dec 19 2006 sbrabec@suse.cz
- Spec file cleanup.
* Mon Dec 18 2006 maw@suse.de
- Move to /usr.
* Thu Nov 30 2006 sbrabec@suse.cz
- Fixed devel dependencies.
* Tue Sep 19 2006 jhargadon@suse.de
- update to version 0.8.0
- Fix icons not showing up properly
- Allow passing URIs as well as local filenames to gnome-obex-send
- Save to ~/Desktop/Downloads by default, then fallback to ~/Desktop and ~/,
  as Epiphany does, or to the user specified directory
- Remove direct openobex and bluez-devel dependencies, as well as gnome-vfs
- Remove the useless gnome-bluetooth-manager
- translation updates
* Wed Aug 16 2006 cthiel@suse.de
- buildrequire python-gtk-devel instead of python-gtk
* Wed Aug 16 2006 ro@suse.de
- added python-gobject2-devel to BuildRequires
* Mon Mar 20 2006 danw@suse.de
- Fail cleanly (with a dialog rather than a message to stderr) if
  bluetooth is not configured on the machine. #140780
* Fri Mar 10 2006 danw@suse.de
- Make the gnome-obex-server trayicon transparent. #155345
* Sat Feb 18 2006 stbinner@suse.de
- move GenericName entries in .desktop files to Comment
* Mon Feb  6 2006 hpj@suse.de
- Added Rodney's pixmap path patch.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 29 2005 sbrabec@suse.cz
- Updated to version 0.7.0.
* Wed Nov  9 2005 sbrabec@suse.cz
- Fixed more random return values.
- Removed .mo install hack, locales now install properly.
* Thu Nov  3 2005 sbrabec@suse.cz
- Updated to version 0.6.0.
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Wed Jun  1 2005 sbrabec@suse.cz
- Fixed devel requirements.
* Wed May  4 2005 sbrabec@suse.cz
- Fixed some GCC 4 warnings.
* Wed Apr 27 2005 sbrabec@suse.cz
- Added gnome hbox patch from Harald Hoyer <harald@redhat.com>
  (#72172).
- Added patch for crash on file send.
  http://bugzilla.gnome.org/show_bug.cgi?id=150388
* Wed Nov 24 2004 ro@suse.de
- fix build with new python2.4
* Tue Nov 23 2004 hvogel@suse.de
- correct desktop files
- include icon
- fix ac-quotation
* Wed Sep  8 2004 ro@suse.de
- require python-gnome instead of gnome-python
* Fri Sep  3 2004 hhetter@suse.de
- use lib64 on 64bit systems in PYTHONPATH
* Thu Sep  2 2004 hhetter@suse.de
- part of Bug #44638, require gnome-python, fix PYTHONPATH
  in gnome-bluetooth-manager
* Mon Aug  2 2004 ro@suse.de
- update to 0.5.1 to make it build again with current environment
* Thu Jan 29 2004 hhetter@suse.de
- initial SUSE package
